#### D.14.2.12 recursive_from_boolean_poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  recursive_from_boolean_poly(pb); pb boolean polynomial

Return:
  polynomial in Singular

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring rs=0,(x,y,z),Dp;
    def rsb=boolean_poly_ring(rs);
    poly f=(x+y)*x+z;
    bpoly pp=f;
    recursive_from_boolean_poly(pp);
    ==> xy+x+z
    ring rs2=2,(x,y,z),Dp;
    def rsb2=boolean_poly_ring(rs2);
    poly f2=(x+y)*x+x;
    bpoly pp2=f2;
    recursive_from_boolean_poly(pp);
    ==> xy+x+z

See also: boolean_ideal; boolean_poly; boolean_poly_ring; from_boolean_ideal; from_boolean_poly.

User manual for Singular version 4-0-3, 2016, generated by texi2html.